
Katello - Bug #4750

Can't use the url helpers in katello to get links for v2 api

03/20/2014 04:11 PM - David Davis

Status: Resolved   

Priority: Low   

Assignee: David Davis   

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Here's an example:

[32] foreman »  Katello::Engine.routes.url_helpers.api_activation_keys_path(:api_version => "v2") 

                                                                                                  

                                          

=> "/katello/api/activation_keys" 

[33] foreman »  Katello::Engine.routes.url_helpers.api_activation_keys_path(:api_version => "v1") 

                                                                                                  

                                          

=> "/katello/api/v1/activation_keys" 

 Note that without v2, the link goes to the v1 api. I think this is because we're using the same namespace (api) both in v1 and v2 files.

In foreman, this is working correctly. I think this is just because maybe it has a different load order or something:

[43] foreman »  Rails.application.routes.url_helpers.api_hostgroups_path(:apiv => "v2")           

                                                                                                  

                                          

=> "/api/v2/hostgroups" 

[44] foreman »  Rails.application.routes.url_helpers.api_hostgroups_path(:apiv => "v1")           

                                                                                                  

                                          

=> "/api/hostgroups" 

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 09:46 PM - Mike McCune

- Assignee set to David Davis

- Triaged set to Yes

#4 - 12/21/2015 10:41 AM - Eric Helms

- Status changed from New to Resolved

V1 API has been removed

#5 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
